Package org.zeromq

# Class ZAuth.ZAPRequest

java.lang.Object
org.zeromq.ZAuth.ZAPRequest

Enclosing class:
  `ZAuth`

public static class ZAuth.ZAPRequest extends Object
A small class for working with ZAP requests and replies.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`address`
`String`
`clientKey`
`String`
`domain`
`ZMQ.Socket`
`handler`
`String`
`identity`
`String`
`mechanism`
`String`
`password`
`String`
`principal`
`String`
`sequence`
`String`
`username`
`String`
`version`

## Constructor Summary

Constructors
Constructor
Description
`ZAPRequest()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### handler

public ZMQ.Socket handler

### version

public String version

### sequence

public String sequence

### domain

public String domain

### address

public String address

### identity

public String identity

### mechanism

public String mechanism

### username

public String username

### password

public String password

### clientKey

public String clientKey

### principal

public String principal

## Constructor Details

### ZAPRequest

public ZAPRequest()